---
author: SchrodingersGat
title: 0.13.0 Stable Release
---

The InvenTree development team is very excited to announce the latest stable release of InvenTree - v0.13.0. This represents the largest release of InvenTree to date, with over 450 pull requests since the [0.12.0 stable release](/blog/2023/06/26/0.12.0).

## New Contributors

This release has been enhanced by the contributions of many developers, and we would like to thank everyone who has contributed to the project!

We have 18 developers who have made their first contribution to the project in this release! Thanks goes to:

- [markzoe](https://github.com/markxoe)
- [xunleii](https://github.com/xunleii)
- [RitchieP](https://github.com/RitchieP)
- [spike77453](https://github.com/spike77453)
- [xeno27](https://github.com/xeno27)
- [sebastienAPP](https://github.com/sebastienAPP)
- [ssterling](https://github.com/ssterling)
- [hraven](https://github.com/hvraven)
- [Pterox](https://github.com/Petrox)
- [saharshtapi](https://github.com/saharshtapi)
- [30350n](https://github.com/30350n)
- [Adoliin](https://github.com/Adoliin)
- [lippoliv](https://github.com/lippoliv)
- [1337joe](https://github.com/1337joe)
- [Limb](https://github.com/Limb)
- [CodingPupper3033](https://github.com/CodingPupper3033)
- [mechanarchy](https://github.com/mechanarchy)
- [afkiwers](https://github.com/afkiwers)

## New Languages

InvenTree is used by people all over the world, and we would love to see more translations of the project! If you would like to help translate InvenTree into your language, please [read our translation guide](https://inventree.org/contribute.html#translate). We currently support over 30 languages, but there are many more that we would like to support!

In this release, we have added support for 4 new languages:

- Bulgarian
- Hindi
- Serbian
- Traditional Chinese

Additionally, we have had a huge surge in community contributions for translations! There are now multiple languages with almost 100% translation coverage. Thanks to everyone who has contributed to the translation effort!

## New Features

This release includes a number of major new features. Some of the highlights include:

### Plugin Improvements

Multiple improvements have been made to the InvenTree plugin system:

#### Auto Reload

The plugin registry is now automatically reloaded when a new plugin is installed or updated. This means that new plugins can be installed without restarting the server. Additionally, the new reloading system ensures that the background worker thread is always running the same plugin version as the web server.

#### Auto Migration

Adds the ability to automatically run database migrations when a new plugin is installed. This allows plugins to add new database models, and automatically migrate the database when the plugin is installed.

#### Improved Installation

The plugin installation process has been improved, with handling for a number of edge cases.

#### Exchange Rate Plugin

Exchange rate support has now been exposed to the plugin interface. This allows plugins to provide exchange rate data to the InvenTree system. The default exchange rate backend can now be overridden by a custom plugin if required.

### Label Printing

The label printing system has been improved, allowing for greater flexibility in label design. The label printing system now supports:

#### Multi Label Printing

The label printing system now allows for multiple labels to printed at once onto a single page. [PR #5833](https://github.com/inventree/InvenTree/pull/5883) adds a builtin label printing plugin for printing an array of labels to PDF.

#### Printing Options

[PR #5873](https://github.com/inventree/InvenTree/pull/5837) adds the ability to specify printing options at "print time", with the options set based on the selected plugin. Extending the label printing API with dynamic options allows printing plugins to be more flexible.

### Barcode Scanning

Barcode scanning support received some significant improvements in this release:

#### Vendor Barcode Scanning

[PR #5509](https://github.com/inventree/InvenTree/pull/5509) presents major new functionality for barcode scanning. InvenTree now supports a number of vendor barcodes. Incoming goods can be scanned directly into stock, and received against a purchase order. Read [our blog post](/blog/2023/10/29/barcodes) for a more detailed overview of the new barcode scanning features.

#### Allocate Items to Sales Order

In [PR #6072](https://github.com/inventree/InvenTree/pull/6072) we added the ability to allocate stock items to a sales order via barcode scanning. This allows for a more streamlined workflow when picking stock items for a sales order.

### Token Authentication

We have improved support for token based authentication. Each user can now have multiple authentication tokens, which can be used to authenticate with the InvenTree API. This allows for more fine-grained control over API access. Tokens can be revoked at any time, and have an expiry date.

## Bug Fixes

As well as new features, this release includes a number of bug fixes and improvements. We would like to thank everyone who has contributed to the project, and helped to identify and fix bugs! A key part of keeping InvenTree stable is the help of our users, who report bugs and help us to fix them. Please refer to GitHub for a [complete list of bugs we have squashed](https://github.com/inventree/InvenTree/pulls?q=is%3Apr+milestone%3A0.13.0+label%3Abug+)

## User Interface Refactor

We have continued to work towards the goal of [refactoring the user interface](/blog/2023/08/28/react). The new frontend is progressing well, and we hope to have it fully available for the next release. The new frontend is written in React, and will provide a more modern user interface for InvenTree.

There are still a number of features which are not yet available in the new frontend, and we are working hard to ensure that the new frontend is feature complete before we release it. Please consider contributing to the frontend development effort if you would like to help out!

## Support for InvenTree

InvenTree is an open-source project, and we welcome contributions of all kinds! If you would like to support the project, please consider:

### Sponsor

You can provide support to InvenTree by [sponsoring the project](https://inventree.org/contribute.html#sponsor). If you use InvenTree in your business, please consider sponsoring the project to help us continue development.

### Code

Please consider contributing to the project by [submitting a pull request](https://inventree.org/contribute.html#code). The InvenTree project has been receiving a lot of attention from users, and we would love to see more developers contributing to the project! There are a [large number of open issues](https://github.com/inventree/InvenTree/issues) - if you would like to help out, please get in touch!


## Release Notes

For a full list of changes, please see the [release notes on GitHub](https://github.com/inventree/InvenTree/releases/tag/0.13.0)

### Release Cycle

Moving forward, we will be releasing stable versions on a quicker release cycle. We hope to release a new stable version every 3 months, to keep up with the rapid development of the project. This will allow us to get new features into the hands of our users more quickly, and will also allow us to release bug fixes more quickly. Thanks to the efforts of our contributors, we have been able to significantly increase the pace of development, and we hope to continue this trend!

## Deploying InvenTree

If you are new to the InvenTree project, there are multiple ways to deploy InvenTree for your own use. Please refer to the [deployment guide]({% link deploy.md %}) for more information.